Package org.eclipse.help

## Class AbstractIndexProvider

- java.lang.Object
- - org.eclipse.help.AbstractIndexProvider

    public abstract class AbstractIndexProvider
    extends Object

An `AbstractIndexProvider` is a mechanism to provide arbitrary content to the keyword index. `AbstractIndexProvider`s must be registered via the `org.eclipse.help.index` extension point.

Since:
  3.3

### Constructor Summary

Constructors
`AbstractIndexProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `contentChanged()` Notifies the platform that the content managed by this provider may have changed since the last time `getIndexContributions()` was called, and needs to be updated.
`abstract IIndexContribution[]` `getIndexContributions​(String locale)` Returns all index contributions for this provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractIndexProvider

    public AbstractIndexProvider()

### Method Detail

#### getIndexContributions

    public abstract IIndexContribution[] getIndexContributions​(String locale)

Returns all index contributions for this provider. Providers are free to provide any number of contributions (zero or more).

Parameters:
  `locale` - the locale for which to get contributions
Returns:
  all the index contributions for this provider

#### contentChanged

    protected void contentChanged()

Notifies the platform that the content managed by this provider may have changed since the last time `getIndexContributions()` was called, and needs to be updated.